Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/CreateOrEditTurnRestrictionAction.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/CreateOrEditTurnRestrictionAction.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/CreateOrEditTurnRestrictionAction.java	(revision 20701)
@@ -4,7 +4,11 @@
 
 import java.awt.event.ActionEvent;
-import java.awt.event.KeyEvent;
 import java.util.Collection;
 import java.util.logging.Logger;
+
+import javax.swing.ActionMap;
+import javax.swing.InputMap;
+import javax.swing.JComponent;
+import javax.swing.KeyStroke;
 
 import org.openstreetmap.josm.Main;
@@ -15,5 +19,5 @@
 import org.openstreetmap.josm.plugins.turnrestrictions.editor.TurnRestrictionEditorManager;
 import org.openstreetmap.josm.plugins.turnrestrictions.editor.TurnRestrictionSelectionPopupPanel;
-import org.openstreetmap.josm.tools.Shortcut;
+import org.openstreetmap.josm.plugins.turnrestrictions.preferences.PreferenceKeys;
 
 /**
@@ -26,18 +30,67 @@
 public class CreateOrEditTurnRestrictionAction extends JosmAction {
 	static private final Logger logger = Logger.getLogger(CreateOrEditTurnRestrictionAction.class.getName());
-	public CreateOrEditTurnRestrictionAction() {
+	
+	/**
+	 * Installs the global key stroke with which creating/editing a turn restriction
+	 * is triggered.
+	 * 
+	 * @param keyStroke the key stroke 
+	 */
+	static public void install(KeyStroke keyStroke){
+		InputMap im = Main.contentPane.getInputMap(JComponent.WHEN_IN_FOCUSED_WINDOW);
+		Object actionMapKey = im.get(keyStroke);
+		if (actionMapKey != null && !actionMapKey.toString().equals("turnrestrictions:create-or-edit")) {
+			System.out.println(tr("Warning: turnrestrictions plugin replaces already existing action ''{0}'' behind shortcut ''{1}'' by action ''{2}''", actionMapKey.toString(), keyStroke.toString(), "turnrestrictions:create-or-edit"));			
+		}
+		KeyStroke[] keys = im.keys();
+		if (keys != null){
+			for(KeyStroke ks: im.keys()){
+				if (im.get(ks).equals("turnrestrictions:create-or-edit")) {
+					im.remove(ks);
+				}
+			}
+		}
+		im.put(keyStroke, "turnrestrictions:create-or-edit");
+		ActionMap am = Main.contentPane.getActionMap();
+		am.put("turnrestrictions:create-or-edit", getInstance());
+	}
+	
+	/**
+	 * Installs  global key stroke configured in the preferences.
+	 * 
+	 * @param keyStroke the key stroke 
+	 */
+	static public void install(){
+		String value = Main.pref.get(PreferenceKeys.EDIT_SHORTCUT, "shift ctrl T");
+		KeyStroke key = KeyStroke.getKeyStroke(value);
+		if (key == null){
+			System.out.println(tr("Warning: illegal value ''{0}'' for preference key ''{1}''. Falling back to default value ''shift ctrl T''.", value, PreferenceKeys.EDIT_SHORTCUT));
+			key = KeyStroke.getKeyStroke("shift ctrl T");
+		}
+		install(key);
+	}
+	
+	/** the singleton instance of this action */
+	private static CreateOrEditTurnRestrictionAction instance;
+	
+	/**
+	 * Replies the unique instance of this action
+	 * 
+	 * @return
+	 */
+	public static CreateOrEditTurnRestrictionAction getInstance() {
+		if (instance == null){
+			instance = new CreateOrEditTurnRestrictionAction();
+		}
+		return instance;
+	}
+	
+	protected CreateOrEditTurnRestrictionAction() {
 		super(
 		    tr("Create/Edit turn restriction..."),
 		    null,
 		    tr("Create or edit a turn restriction."),
-		    Shortcut.registerShortcut(
-					"turnrestrictions:create-or-edit", 
-					tr("Turnrestrictions: Create or Edit"),
-					// results in Shift-Ctrl-T on windows
-					KeyEvent.VK_T,
-					Shortcut.GROUPS_ALT1+Shortcut.GROUP_HOTKEY, 
-					Shortcut.SHIFT_DEFAULT
-			),
-			true /* register action */
+		    null, // shortcut is going to be registered later 
+			false 
 	    );
 	}	
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/TurnRestrictionsPlugin.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/TurnRestrictionsPlugin.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/TurnRestrictionsPlugin.java	(revision 20701)
@@ -9,14 +9,11 @@
 
 /**
- * This is the main class for the turnrestriction plugin.
+ * This is the main class for the turnrestrictions plugin.
  * 
  */
 public class TurnRestrictionsPlugin extends Plugin{
 	
-	private CreateOrEditTurnRestrictionAction actCreateOrEditTurnRestriction;
-	
 	public TurnRestrictionsPlugin(PluginInformation info) {
-		super(info);
-		actCreateOrEditTurnRestriction = new CreateOrEditTurnRestrictionAction();
+		super(info);		
 	}
 	
@@ -30,4 +27,5 @@
 			// add the dialog
 			newFrame.addToggleDialog(dialog);
+			CreateOrEditTurnRestrictionAction.install();
 		}
 	}
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionLegEditor.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionLegEditor.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/editor/TurnRestrictionLegEditor.java	(revision 20701)
@@ -156,5 +156,5 @@
 			lblOsmObject.setFont(UIManager.getFont("Label.font").deriveFont(Font.ITALIC));
 			lblOsmObject.setIcon(null);
-			lblOsmObject.setText(tr("multiple objects with role ''{0}''",this.role.toString()));
+			lblOsmObject.setText(tr("multiple objects with role ''{0}''",this.role.getOsmRole()));
 			lblOsmObject.setToolTipText(null);			
 		}
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionCellRenderer.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionCellRenderer.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/list/TurnRestrictionCellRenderer.java	(revision 20701)
@@ -96,5 +96,7 @@
 	 */
 	protected ImageIcon getIcon(String restrictionType) {
-		if (!isValidRestrictionType(restrictionType)) return null;
+		if (!isValidRestrictionType(restrictionType)) {
+			return ImageProvider.get("types", "non-standard-type");
+		}
 		return ImageProvider.get(buildImageName(restrictionType));
 	}
@@ -146,8 +148,4 @@
 	protected void renderIcon(Relation tr) {
 		String restrictionType = tr.get("restriction");
-		if (!isValidRestrictionType(restrictionType)) {
-			icon.setIcon(null);
-			return;
-		}
 		icon.setIcon(getIcon(restrictionType));
 	}
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferenceKeys.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferenceKeys.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferenceKeys.java	(revision 20701)
@@ -1,3 +1,5 @@
 package org.openstreetmap.josm.plugins.turnrestrictions.preferences;
+
+import javax.swing.KeyStroke;
 
 /**
@@ -29,3 +31,10 @@
 	 */
 	String SHOW_VIAS_IN_BASIC_EDITOR = "turnrestrictions.show-vias-in-basic-editor";
+	
+	/**
+	 * The shortcut which triggers creating a new or editing and existing turn
+	 * restriction. The value must be parseable by {@see KeyStroke#getKeyStroke(String)}.
+	 * If missing, the default value "ctrl shift T" is assumed.
+	 */
+	String EDIT_SHORTCUT= "turnrestrictions.edit-shortcut";
 }
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferencesPanel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferencesPanel.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/PreferencesPanel.java	(revision 20701)
@@ -16,4 +16,5 @@
 import javax.swing.JPanel;
 import javax.swing.JRadioButton;
+import javax.swing.JSeparator;
 
 import org.openstreetmap.josm.data.Preferences;
@@ -34,4 +35,5 @@
 	private ButtonGroup bgIconSet;
 	private JCheckBox cbShowViaListInBasicEditor;
+	private ShortcutPreferencePanel pnlShortcutPreference;
 	
 	protected JPanel buildShowViaListInBasicEditorPanel() {
@@ -47,7 +49,7 @@
 		msg.setText("<html><body>"
 				+ tr("The Basic Editor can optionally display the list of via-objects "
-					 + "of a turn restrictions. If enabled, one can also edit them "
-					 + "in the Basic editor. If disabled, editing of via-objects is only "
-					 + "possible in the Advanced Editor."
+					 + "of a turn restriction. If enabled, one can edit them "
+					 + "in the Basic editor too. If disabled, editing of via-objects is "
+					 + "possible in the Advanced Editor only."
 				  )
 				+ "</body></html>"
@@ -153,5 +155,11 @@
 		add(buildSetBPanel(), gc);
 		gc.gridy++;
+		add(new JSeparator(), gc);		
+		gc.gridy++;
 		add(buildShowViaListInBasicEditorPanel(), gc);
+		gc.gridy++;
+		add(new JSeparator(), gc);
+		gc.gridy++;
+		add(pnlShortcutPreference = new ShortcutPreferencePanel(), gc);
 		
 		// filler - just grab remaining space
@@ -189,4 +197,6 @@
 		boolean b = prefs.getBoolean(PreferenceKeys.SHOW_VIAS_IN_BASIC_EDITOR, false);
 		cbShowViaListInBasicEditor.setSelected(b);
+		
+		pnlShortcutPreference.initFromPreferences(prefs);
 	}
 	
@@ -213,4 +223,6 @@
 			prefs.put(PreferenceKeys.SHOW_VIAS_IN_BASIC_EDITOR, newValue);
 		}		
+		
+		pnlShortcutPreference.saveToPreferences(prefs);
 	}
 	
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/ShortcutPreferencePanel.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/ShortcutPreferencePanel.java	(revision 20701)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/preferences/ShortcutPreferencePanel.java	(revision 20701)
@@ -0,0 +1,225 @@
+package org.openstreetmap.josm.plugins.turnrestrictions.preferences;
+
+import static org.openstreetmap.josm.tools.I18n.tr;
+import static org.openstreetmap.josm.tools.I18n.trc;
+
+import java.awt.Component;
+import java.awt.GridBagConstraints;
+import java.awt.GridBagLayout;
+import java.awt.event.KeyEvent;
+import java.lang.reflect.Field;
+import java.lang.reflect.Modifier;
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.Comparator;
+import java.util.HashMap;
+import java.util.Map;
+
+import javax.swing.AbstractListModel;
+import javax.swing.ComboBoxModel;
+import javax.swing.JCheckBox;
+import javax.swing.JComboBox;
+import javax.swing.JLabel;
+import javax.swing.JList;
+import javax.swing.JPanel;
+import javax.swing.KeyStroke;
+import javax.swing.ListCellRenderer;
+import javax.swing.UIManager;
+
+import org.openstreetmap.josm.data.Preferences;
+import org.openstreetmap.josm.gui.widgets.HtmlPanel;
+import org.openstreetmap.josm.plugins.turnrestrictions.CreateOrEditTurnRestrictionAction;
+
+/**
+ * ShortcutPreferencePanel allows to configure the global shortcut to trigger
+ * creating/editing a turn restriction.
+ */
+public class ShortcutPreferencePanel extends JPanel {
+	
+	private JCheckBox cbCtrl;
+	private JCheckBox cbAlt;
+	private JCheckBox cbShift;
+	private JCheckBox cbMeta;
+	private JComboBox cmKeyCodes;
+
+	protected JPanel buildMessagePanel() {
+		HtmlPanel pnl = new HtmlPanel();
+		pnl.setText("<html><body>"
+			+ tr("Please configure the <strong>keyboard shortcut</strong> which triggers "
+				+ "creating/editing a turn restriction from the current JOSM selection.")
+			+ "</body></html>"
+		);
+		return pnl;
+	}
+	
+	protected JPanel buildShortCutConfigPanel() {
+		JPanel pnl = new JPanel(new GridBagLayout());
+		GridBagConstraints gc = new GridBagConstraints();
+		gc.anchor = GridBagConstraints.NORTHWEST;
+		gc.fill = GridBagConstraints.HORIZONTAL;
+		gc.weightx = 0.0;
+		gc.gridx = 0;
+		gc.gridy = 0;
+		
+		pnl.add(new JLabel(trc("keyboard-key", "Key:")), gc);
+		gc.gridx++;
+		gc.gridwidth=4;
+		gc.weightx = 1.0;
+		pnl.add(cmKeyCodes = new JComboBox(new VKeyComboBoxModel()), gc);
+		cmKeyCodes.setRenderer(new VKeyCellRenderer());
+		
+		gc.gridx = 0;
+		gc.gridy = 1;
+		gc.gridwidth = 1;
+		gc.weightx = 0.0;
+		pnl.add(new JLabel(trc("keyboard-modifiers", "Modifiers:")), gc);
+	
+		gc.gridx++;
+		pnl.add(cbShift = new JCheckBox(trc("keyboard-modifiers", "Shift")), gc);
+		gc.gridx++;
+		pnl.add(cbCtrl = new JCheckBox(trc("keyboard-modifiers", "Ctrl")), gc);
+		gc.gridx++;
+		pnl.add(cbAlt = new JCheckBox(trc("keyboard-modifiers", "Alt")), gc);
+		gc.gridx++;
+		gc.weightx = 1.0;
+		pnl.add(cbMeta = new JCheckBox(trc("keyboard-modifiers", "Meta")), gc);
+		
+		return pnl;
+	}
+	
+	protected void build() {
+		setLayout(new GridBagLayout());
+		GridBagConstraints gc = new GridBagConstraints();
+		gc.anchor = GridBagConstraints.NORTHWEST;
+		gc.fill = GridBagConstraints.HORIZONTAL;
+		gc.weightx = 1.0;
+		gc.gridx = 0;
+		gc.gridy = 0;
+		add(buildMessagePanel(), gc);
+		gc.gridy++;
+		add(buildShortCutConfigPanel(), gc);
+	}
+	
+	public ShortcutPreferencePanel() {
+		build();
+	}
+	
+	public void initFromPreferences(Preferences pref){
+		String value = pref.get(PreferenceKeys.EDIT_SHORTCUT, "shift ctrl T");
+		KeyStroke key = KeyStroke.getKeyStroke(value);
+		if (key == null){
+			System.out.println(tr("Warning: illegal value ''{0}'' for preference key ''{1}''. Falling back to default value ''shift ctrl T''.", value, PreferenceKeys.EDIT_SHORTCUT));
+			key = KeyStroke.getKeyStroke("shift ctrl T");
+		}
+		cmKeyCodes.getModel().setSelectedItem(key.getKeyCode());
+		cbAlt.setSelected((key.getModifiers() & KeyEvent.ALT_DOWN_MASK) != 0);
+		cbCtrl.setSelected((key.getModifiers() & KeyEvent.CTRL_DOWN_MASK) != 0);
+		cbShift.setSelected((key.getModifiers() & KeyEvent.SHIFT_DOWN_MASK) != 0);
+		cbMeta.setSelected((key.getModifiers() & KeyEvent.META_DOWN_MASK) != 0);
+	}
+	
+	public void saveToPreferences(Preferences pref){
+		Integer code  = (Integer)cmKeyCodes.getModel().getSelectedItem();
+		if (code == null) {
+			code = KeyEvent.VK_T;
+		}
+		int modifiers = 0;
+		if (cbAlt.isSelected()) modifiers |= KeyEvent.ALT_DOWN_MASK;
+		if (cbCtrl.isSelected()) modifiers |= KeyEvent.CTRL_DOWN_MASK;
+		if (cbShift.isSelected()) modifiers |= KeyEvent.SHIFT_DOWN_MASK;
+		if (cbMeta.isSelected()) modifiers |= KeyEvent.META_DOWN_MASK;		
+		KeyStroke ks = KeyStroke.getKeyStroke(code, modifiers);
+		
+		pref.put(PreferenceKeys.EDIT_SHORTCUT, ks.toString());		
+		CreateOrEditTurnRestrictionAction.install(ks);
+	}
+	
+	static private class VKeyComboBoxModel extends AbstractListModel implements ComboBoxModel {
+		private final ArrayList<Integer> keys = new ArrayList<Integer>();
+		private Integer selected = null;
+
+		public VKeyComboBoxModel() {
+			populate();
+		}
+		
+		public void populate() {
+			for (Field f :KeyEvent.class.getFields()) {
+				if (! Modifier.isStatic(f.getModifiers())) continue;
+				if (! f.getName().startsWith("VK_")) continue;
+				try {
+					keys.add((Integer)f.get(null));
+				} catch(IllegalAccessException e){
+					// ignore
+				}
+			}
+			
+			Collections.sort(keys, new KeyCodeComparator());
+		}
+		
+		public Object getSelectedItem() {
+			return selected;
+		}
+
+		public void setSelectedItem(Object anItem) {
+			this.selected = (Integer)anItem;			
+		}
+
+		public Object getElementAt(int index) {
+			return keys.get(index);
+		}
+
+		public int getSize() {
+			return keys.size();
+		}		
+	}
+	
+	static private class VKeyCellRenderer extends JLabel implements ListCellRenderer {
+		public Component getListCellRendererComponent(JList list, Object value,
+				int index, boolean isSelected, boolean cellHasFocus) {
+			if (isSelected) {
+				setBackground(UIManager.getColor("ComboBox.selectionBackground"));
+				setForeground(UIManager.getColor("ComboBox.selectionForeground"));
+			} else {
+				setBackground(UIManager.getColor("ComboBox.background"));
+				setForeground(UIManager.getColor("ComboBox.foreground"));
+			}
+			setText(KeyEvent.getKeyText((Integer)value));
+			return this;
+		}		
+	}
+	
+	static private class KeyCodeComparator implements Comparator<Integer> {
+		private final static Map<Integer, String> keyNames = new HashMap<Integer, String>();
+		
+		protected String keyName(Integer code){
+			String name = keyNames.get(code);
+			if (name == null){
+				name = KeyEvent.getKeyText(code);
+				keyNames.put(code, name);
+			}
+			return name;
+		}
+		/**
+		 * Make sure single letter keys (A-Z, 0-9) are at the top of the list.
+		 * Make sure function key F1-F19 are sorted numerically, not lexicografically.
+		 * 
+		 */
+		public int compare(Integer kc1, Integer kc2) {
+			String n1 = keyName(kc1);
+			String n2 = keyName(kc2);
+			if (n1.length() == 1 && n2.length()==1){
+				return n1.compareTo(n2);
+			} else if (n1.length() == 1){
+				return -1;
+			} else if (n2.length() == 1){
+				return 1;
+			} else if (n1.matches("F\\d+") && n2.matches("F\\d+")){
+				int f1 = Integer.parseInt(n1.substring(1));
+				int f2 = Integer.parseInt(n2.substring(1));
+				return new Integer(f1).compareTo(f2);				
+			} else {
+				return n1.compareTo(n2);
+			}				
+		}		
+	}
+}
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/IdenticalTurnRestrictionLegsError.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/IdenticalTurnRestrictionLegsError.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/IdenticalTurnRestrictionLegsError.java	(revision 20701)
@@ -27,6 +27,6 @@
 	@Override
 	public String getText() {		
-		return tr("This turn restriction uses the OSM way <span class=\"object-name\">{0}</span> with role ''from'' <strong>and</strong> with role ''to''. "
-				+ "In a turn restriction, the way with role ''from'' should be different from the way with role ''to'', though.",
+		return tr("This turn restriction uses the OSM way <span class=\"object-name\">{0}</span> with role <tt>from</tt> <strong>and</strong> with role <tt>to</tt>. "
+				+ "In a turn restriction, the way with role <tt>from</tt> should be different from the way with role <tt>to</tt>, though.",
 				leg.getDisplayName(DefaultNameFormatter.getInstance())
 				);				
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/IntersectionMissingAsViaError.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/IntersectionMissingAsViaError.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/IntersectionMissingAsViaError.java	(revision 20701)
@@ -37,5 +37,5 @@
 		String msg = tr("The <strong>from</strong>-way <span class=\"object-name\">{0}</span> and the <strong>to</strong>-way <span class=\"object-name\">{1}</span> "
 		       + "interesect at node <span class=\"object-name\">{2}</span> but <span class=\"object-name\">{2}</span> isn''t a <strong>via</strong>-object.<br> "
-		       + "It is recommended to set <span class=\"object-name\">{2}</span> as only <strong>via</strong>-object.",
+		       + "It is recommended to set <span class=\"object-name\">{2}</span> as unique <strong>via</strong>-object.",
 		       this.from.getDisplayName(DefaultNameFormatter.getInstance()),
 		       this.to.getDisplayName(DefaultNameFormatter.getInstance()),
Index: applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/MultipleTurnRestrictionLegError.java
===================================================================
--- applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/MultipleTurnRestrictionLegError.java	(revision 20675)
+++ applications/editors/josm/plugins/turnrestrictions/src/org/openstreetmap/josm/plugins/turnrestrictions/qa/MultipleTurnRestrictionLegError.java	(revision 20701)
@@ -20,5 +20,5 @@
 	 * Create the issue
 	 * 
-	 * @param parent the parant model 
+	 * @param parent the parent model 
 	 * @param role the role of the turn restriction leg with multiple entries 
 	 * @param numLegs the number of legs
@@ -34,6 +34,6 @@
 	public String getText() {
 		switch(role){
-		case FROM: return 
-			tr("A turn restriction requires exactly one way with role <tt>from</tt>. "
+		case FROM:  
+			return tr("A turn restriction requires exactly one way with role <tt>from</tt>. "
 				+ "This turn restriction has {0} ways in this role. Please remove "
 				+ "{1} of them.",
@@ -42,5 +42,5 @@
 			);
 		case TO: 
-			tr("A turn restriction requires exactly one way with role <tt>from</tt>. "
+			return tr("A turn restriction requires exactly one way with role <tt>to</tt>. "
 					+ "This turn restriction has {0} ways in this role. Please remove "
 					+ "{1} of them.",
